Bug 1564878 - NGINX: could not build optimal types_hash, you should increase either types_hash_max_size
Summary: NGINX: could not build optimal types_hash, you should increase either types_h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 14:52 UTC by Jon Dufresne
Modified: 2020-05-18 10:45 UTC (History)
18 users (show)

Fixed In Version: nginx-1.18.0-1.fc30 nginx-1.18.0-1.fc31 nginx-1.18.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-03 04:40:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Jon Dufresne 2018-04-08 14:52:26 UTC
The default /etc/nginx/nginx.conf installed by the package includes the directive:

    types_hash_max_size 2048;

However, this size is insufficient for the large number of types included in /etc/nginx/mime.types. Starting NGINX produces the error:

[warn] 1022#0: could not build optimal types_hash, you should increase either types_hash_max_size: 2048 or types_hash_bucket_size: 64; ignoring types_hash_bucket_size

I recommend increasing the value to 4096.

Comment 1 Ben Cotton 2018-11-27 13:32:22 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:45:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Mohamed Akram 2019-03-20 18:48:44 UTC
Could this be reopened, as it is still an issue in Fedora 29.

Comment 4 Ruben Kerkhof 2019-04-02 06:43:43 UTC
Reopening, as this is still an issue in Rawhide.

Comment 5 Ben Cotton 2019-08-13 16:58:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 19:20:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Felix Kaechele 2019-11-04 20:08:38 UTC
This is on my list to be fixed in the next release.

Comment 8 Fedora Update System 2020-04-24 03:16:29 UTC
FEDORA-2020-78690e2cdd has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-78690e2cdd

Comment 9 Fedora Update System 2020-04-24 03:16:29 UTC
FEDORA-2020-b17de7fa07 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b17de7fa07

Comment 10 Fedora Update System 2020-04-25 04:18:57 UTC
FEDORA-2020-b17de7fa07 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b17de7fa07`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b17de7fa07

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-25 04:55:30 UTC
FEDORA-2020-318ce3d301 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-318ce3d301`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-318ce3d301

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-25 12:20:54 UTC
FEDORA-2020-78690e2cdd has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-78690e2cdd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-78690e2cdd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-03 04:40:46 UTC
FEDORA-2020-318ce3d301 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-03 04:53:53 UTC
FEDORA-2020-b17de7fa07 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-03 05:29:36 UTC
FEDORA-2020-78690e2cdd has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.